## qstopmotion 2.3.2

=== CMakeLists.txt ===
###############################################################################
# CMake file for the qStopMotion project                                      #
# (c) Ralf Lange, longsoft.de                                                 #
# Last update: 2016-11-10                                                     #
#                                                                             #
# Usage:                                                                      #
#   * Qt-Creator (Windows, Linux)                                             #
#      + open this file                                                       #
#      + select a destination directory                                       #
#      + press the CMake button                                               #
#   * makefile: (Windows)                                                     #
#      + open Visual Studio Command Prompt                                    #
#        (for 64bit use: 'VS2013 x64 Native Tools Command Prompt'             #
#        (for 32bit use: 'VS2013 x32 Native Tools Command Prompt'             #
#      + cmake -G "NMake Makefiles" .                                         #
#      + nmake                                                                #
#      + nmake install (with administration rights)                           #
#      + nmake package                                                        #
#   * makefile: (Linux)                                                       #
#      + cmake .                                                              #
#      + make                                                                 #
#      + sudo make install                                                    #
#   * MS Visual Studio (Windows)                                              #
#      + for 32bit: cmake -G "Visual Studio 12 2013"                          #
#      + for 64bit: cmake -G "Visual Studio 12 2013 x64"                      #
#      + open the solution file                                               #
#                                                                             #
###############################################################################

project(qStopMotion)

cmake_minimum_required(VERSION 2.8.8)

###############################################################################
# Platform check
###############################################################################

IF(WIN32)
    IF(CMAKE_CL_64)
        message("Target platform: Windows 64bit")
    ELSE(CMAKE_CL_64)
        message("Target platform: Windows 32bit")
    ENDIF(CMAKE_CL_64)
ELSEIF(UNIX)
    IF(APPLE)
        message(
            FATAL_ERROR
            "Target platform: MacOS 64bit - Not supported!"
        )
    ENDIF(APPLE)

    IF("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
        message("Target platform: Unix 64bit")
    ELSE("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
        message("Target platform: Unix 32bit")
    ENDIF("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
ELSE(WIN32)
    message(
        FATAL_ERROR
        "Target platform - Not supported!"
    )
ENDIF(WIN32)

###############################################################################
# General project settings
###############################################################################

IF(NOT DEFINED CMAKE_BUILD_TYPE)
    SET(
        CMAKE_BUILD_TYPE
        "Release"
        CACHE
        STRING
        "Create Release Version"
        FORCE
    )
ENDIF(NOT DEFINED CMAKE_BUILD_TYPE)

SET(CMAKE_PROJECT_NAME "qstopmotion")
SET(QSTOPMOTION_HOMEPAGE "http://www.qstopmotion.org")
SET(QSTOPMOTION_VERSION_MAJOR "2")
SET(QSTOPMOTION_VERSION_MINOR "3")
SET(QSTOPMOTION_VERSION_PATCH "2")

SET(FILES_TO_TRANSLATE )

###############################################################################
# Qt5 support
###############################################################################

# Enable/disable Qt functionality
SET(CMAKE_AUTOMOC ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

# find and setup Qt5 for this poroject
find_package(Qt5 REQUIRED COMPONENTS Core Widgets Xml)

message("Qt5 Version: ${Qt5Widgets_VERSION_STRING}")

IF(CMAKE_BUILD_TYPE STREQUAL "Release")
    message("No Qt debug and warning output!")
    add_definitions(-DQT_NO_DEBUG_OUTPUT)
    add_definitions(-DQT_NO_WARNING_OUTPUT)
ENDIF(CMAKE_BUILD_TYPE STREQUAL "Release")

###############################################################################
# File definitions
###############################################################################

# add all header files of the project to HEADERS
SET(
    HEADERS
    src/frontends/observer.h
    src/frontends/frontend.h
    src/frontends/viewfacade.h
    src/frontends/qtfrontend/dialogs/licence.h
    src/frontends/qtfrontend/timeline/exposurethumbview.h
    src/frontends/qtfrontend/timeline/thumbview.h
    src/technical/util.h
    src/technical/audio/audiodriver.h
    src/technical/audio/audioformat.h
    src/technical/grabber/grabbercontrolcapabilities.h
    src/technical/grabber/grabbercontroller.h
    src/technical/grabber/grabberresolution.h
    src/technical/grabber/imageconverter.h
    src/technical/grabber/imagegrabberdevice.h
    src/technical/grabber/imagegrabberthread.h
    src/technical/videoencoder/ffmpegencoder.h
    src/technical/videoencoder/libavencoder.h
    src/technical/videoencoder/videoencoder.h
    src/technical/videoencoder/videoencoderfactory.h
)

IF(WIN32)
    SET(
        HEADERS
        ${HEADERS}
        src/technical/grabber/mediafoundation/mfcontroller.h
        src/technical/grabber/mediafoundation/mfutil.h
    )
ENDIF(WIN32)

IF(UNIX AND NOT APPLE)
    SET(
        HEADERS
        ${HEADERS}
        src/technical/grabber/gphoto2/gpcontroller.h
        src/technical/grabber/video4linux2/v4l2controller.h
    )
ENDIF(UNIX AND NOT APPLE)

# add all header files of the project to MOC to MOC_HEADERS
SET(
    MOC_HEADERS
    src/domain/domainfacade.h
    src/domain/animation/animationproject.h
    src/domain/animation/exposure.h
    src/domain/animation/projectserializer.h
    src/domain/animation/scene.h
    src/domain/animation/take.h
    src/domain/undo/undobase.h
    src/domain/undo/undoexposureadd.h
    src/domain/undo/undoexposureinsert.h
    src/domain/undo/undoexposuremove.h
    src/domain/undo/undoexposureremove.h
    src/domain/undo/undoexposureselect.h
    src/domain/undo/undoprojectnew.h
    src/domain/undo/undoprojectopen.h
    src/domain/undo/undosceneadd.h
    src/domain/undo/undosceneinsert.h
    src/domain/undo/undoscenemove.h
    src/domain/undo/undosceneremove.h
    src/domain/undo/undosceneselect.h
    src/domain/undo/undotakeadd.h
    src/domain/undo/undotakeinsert.h
    src/domain/undo/undotakemove.h
    src/domain/undo/undotakeremove.h
    src/domain/undo/undotakeselect.h
    src/frontends/qtfrontend/mainwindowgui.h
    src/frontends/qtfrontend/menuframe.h
    src/frontends/qtfrontend/qtfrontend.h
    src/frontends/qtfrontend/toolbar.h
    src/frontends/qtfrontend/dialogs/aboutdialog.h
    src/frontends/qtfrontend/dialogs/cameracontrollerdialog.h
    src/frontends/qtfrontend/dialogs/descriptiondialog.h
    src/frontends/qtfrontend/dialogs/externalcommanddialog.h
    src/frontends/qtfrontend/dialogs/helpbrowser.h
    src/frontends/qtfrontend/dialogs/startdialog.h
    src/frontends/qtfrontend/elements/clickablelabel.h
    src/frontends/qtfrontend/elements/flexiblelineedit.h
    src/frontends/qtfrontend/elements/flexiblespinbox.h
    src/frontends/qtfrontend/frameview/frameviewimage.h
    src/frontends/qtfrontend/frameview/frameviewinterface.h
    src/frontends/qtfrontend/preferences/exportwidget.h
    src/frontends/qtfrontend/preferences/generaldialog.h
    src/frontends/qtfrontend/preferences/generalwidget.h
    src/frontends/qtfrontend/preferences/grabberwidget.h
    src/frontends/qtfrontend/preferences/importwidget.h
    src/frontends/qtfrontend/preferences/projectdialog.h
    src/frontends/qtfrontend/preferences/projectwidget.h
    src/frontends/qtfrontend/preferences/transformwidget.h
    src/frontends/qtfrontend/timeline/timeline.h
    src/frontends/qtfrontend/tooltabs/compositingtab.h
    src/frontends/qtfrontend/tooltabs/projecttab.h
    src/frontends/qtfrontend/tooltabs/recordingtab.h
    src/frontends/qtfrontend/tooltabs/viewtab.h
    src/technical/externalchangemonitor.h
    src/technical/preferenceselement.h
    src/technical/preferencestool.h
    src/technical/grabber/imagegrabber.h
    src/technical/grabber/imagegrabberfacade.h
)

IF(WIN32)
    SET(
        MOC_HEADERS
        ${MOC_HEADERS}
        src/technical/grabber/mediafoundation/mfgrabber.h
    )
ENDIF(WIN32)

IF(UNIX AND NOT APPLE)
    SET(
        MOC_HEADERS
        ${MOC_HEADERS}
        src/technical/grabber/gphoto2/gpgrabber.h
        src/technical/grabber/video4linux2/v4l2grabber.h
    )
ENDIF(UNIX AND NOT APPLE)

# add all source files to SOURCES
SET(
    SOURCES
    src/main.cpp
    src/domain/domainfacade.cpp
    src/domain/animation/animationproject.cpp
    src/domain/animation/exposure.cpp
    src/domain/animation/projectserializer.cpp
    src/domain/animation/scene.cpp
    src/domain/animation/take.cpp
    src/domain/undo/undobase.cpp
    src/domain/undo/undoexposureadd.cpp
    src/domain/undo/undoexposureinsert.cpp
    src/domain/undo/undoexposuremove.cpp
    src/domain/undo/undoexposureremove.cpp
    src/domain/undo/undoexposureselect.cpp
    src/domain/undo/undoprojectnew.cpp
    src/domain/undo/undoprojectopen.cpp
    src/domain/undo/undosceneadd.cpp
    src/domain/undo/undosceneinsert.cpp
    src/domain/undo/undoscenemove.cpp
    src/domain/undo/undosceneremove.cpp
    src/domain/undo/undosceneselect.cpp
    src/domain/undo/undotakeadd.cpp
    src/domain/undo/undotakeinsert.cpp
    src/domain/undo/undotakemove.cpp
    src/domain/undo/undotakeremove.cpp
    src/domain/undo/undotakeselect.cpp
    src/frontends/viewfacade.cpp
    src/frontends/qtfrontend/mainwindowgui.cpp
    src/frontends/qtfrontend/menuframe.cpp
    src/frontends/qtfrontend/qtfrontend.cpp
    src/frontends/qtfrontend/toolbar.cpp
    src/frontends/qtfrontend/dialogs/aboutdialog.cpp
    src/frontends/qtfrontend/dialogs/cameracontrollerdialog.cpp
    src/frontends/qtfrontend/dialogs/descriptiondialog.cpp
    src/frontends/qtfrontend/dialogs/externalcommanddialog.cpp
    src/frontends/qtfrontend/dialogs/helpbrowser.cpp
    src/frontends/qtfrontend/dialogs/startdialog.cpp
    src/frontends/qtfrontend/elements/clickablelabel.cpp
    src/frontends/qtfrontend/elements/flexiblelineedit.cpp
    src/frontends/qtfrontend/elements/flexiblespinbox.cpp
    src/frontends/qtfrontend/frameview/frameviewimage.cpp
    src/frontends/qtfrontend/frameview/frameviewinterface.cpp
    src/frontends/qtfrontend/preferences/exportwidget.cpp
    src/frontends/qtfrontend/preferences/generaldialog.cpp
    src/frontends/qtfrontend/preferences/generalwidget.cpp
    src/frontends/qtfrontend/preferences/grabberwidget.cpp
    src/frontends/qtfrontend/preferences/importwidget.cpp
    src/frontends/qtfrontend/preferences/projectdialog.cpp
    src/frontends/qtfrontend/preferences/projectwidget.cpp
    src/frontends/qtfrontend/preferences/transformwidget.cpp
    src/frontends/qtfrontend/timeline/timeline.cpp
    src/frontends/qtfrontend/timeline/exposurethumbview.cpp
    src/frontends/qtfrontend/timeline/thumbview.cpp
    src/frontends/qtfrontend/tooltabs/compositingtab.cpp
    src/frontends/qtfrontend/tooltabs/projecttab.cpp
    src/frontends/qtfrontend/tooltabs/recordingtab.cpp
    src/frontends/qtfrontend/tooltabs/viewtab.cpp
    src/technical/externalchangemonitor.cpp
    src/technical/preferenceselement.cpp
    src/technical/preferencestool.cpp
    src/technical/util.cpp
    src/technical/grabber/grabbercontrolcapabilities.cpp
    src/technical/grabber/grabbercontroller.cpp
    src/technical/grabber/grabberresolution.cpp
    src/technical/grabber/imageconverter.cpp
    src/technical/grabber/imagegrabber.cpp

=== debian/changelog ===
qstopmotion (2.3.2-1) unstable; urgency=low

  * Initial release (Closes: #827840)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 14 Nov 2016 20:58:37 +0100

=== debian/control ===
Source: qstopmotion
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Build-Depends: debhelper (>=10),
 libgphoto2-dev,
 libxml2-dev,
 libv4l-dev,
 qtbase5-dev,
 cmake
Standards-Version: 3.9.8
Homepage: http://www.qstopmotion.org
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qstopmotion.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/qstopmotion.git

Package: qstopmotion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ffmpeg,
 v4l-utils
Description: Application for creating stop-motion animation movies
 The users will be able to create stop-motions from pictures imported
 from a camera or from the harddrive and export the animation to
 different video formats such as mpeg or avi.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --buildsystem=cmake --parallel


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# SourceForge hosted projects
http://sf.net/qstopmotion/ qstopmotion-(.*)-Source\.tar\.gz debian uupdate

## qstopmotion 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ###############################################################################
 # CMake file for the qStopMotion project                                      #
 # (c) Ralf Lange, longsoft.de                                                 #
-# Last update: 2016-11-10                                                     #
+# Last update: 2018-01-27                                                     #
 #                                                                             #
 # Usage:                                                                      #
 #   * Qt-Creator (Windows, Linux)                                             #
@@ -29,7 +29,16 @@
 
 project(qStopMotion)
 
-cmake_minimum_required(VERSION 2.8.8)
+cmake_minimum_required(VERSION 3.0.2)
+
+# set path to additional CMake modules
+SET(
+    CMAKE_MODULE_PATH
+    ${CMAKE_SOURCE_DIR}/cmake
+    ${CMAKE_MODULE_PATH}
+)
+
+message("CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}")
 
 ###############################################################################
 # Platform check
@@ -79,8 +88,8 @@
 SET(CMAKE_PROJECT_NAME "qstopmotion")
 SET(QSTOPMOTION_HOMEPAGE "http://www.qstopmotion.org")
 SET(QSTOPMOTION_VERSION_MAJOR "2")
-SET(QSTOPMOTION_VERSION_MINOR "3")
-SET(QSTOPMOTION_VERSION_PATCH "2")
+SET(QSTOPMOTION_VERSION_MINOR "4")
+SET(QSTOPMOTION_VERSION_PATCH "0")
 
 SET(FILES_TO_TRANSLATE )
 
@@ -96,6 +105,8 @@
 find_package(Qt5 REQUIRED COMPONENTS Core Widgets Xml)
 
 message("Qt5 Version: ${Qt5Widgets_VERSION_STRING}")
+message("QT_INCLUDE_DIRS: ${Qt5Widgets_INCLUDE_DIRS}")
+message("QT_DEFINITIONS: ${QT_DEFINITIONS}")
 
 IF(CMAKE_BUILD_TYPE STREQUAL "Release")
     message("No Qt debug and warning output!")
@@ -191,6 +202,7 @@
     src/frontends/qtfrontend/elements/flexiblespinbox.h
     src/frontends/qtfrontend/frameview/frameviewimage.h
     src/frontends/qtfrontend/frameview/frameviewinterface.h
+    src/frontends/qtfrontend/preferences/controlerwidget.h
     src/frontends/qtfrontend/preferences/exportwidget.h
     src/frontends/qtfrontend/preferences/generaldialog.h
     src/frontends/qtfrontend/preferences/generalwidget.h
@@ -272,6 +284,7 @@
     src/frontends/qtfrontend/elements/flexiblespinbox.cpp
     src/frontends/qtfrontend/frameview/frameviewimage.cpp
     src/frontends/qtfrontend/frameview/frameviewinterface.cpp
+    src/frontends/qtfrontend/preferences/controlerwidget.cpp
     src/frontends/qtfrontend/preferences/exportwidget.cpp
     src/frontends/qtfrontend/preferences/generaldialog.cpp
     src/frontends/qtfrontend/preferences/generalwidget.cpp
@@ -287,12 +300,3 @@
     src/frontends/qtfrontend/tooltabs/projecttab.cpp
     src/frontends/qtfrontend/tooltabs/recordingtab.cpp
     src/frontends/qtfrontend/tooltabs/viewtab.cpp
-    src/technical/externalchangemonitor.cpp
-    src/technical/preferenceselement.cpp
-    src/technical/preferencestool.cpp
-    src/technical/util.cpp
-    src/technical/grabber/grabbercontrolcapabilities.cpp
-    src/technical/grabber/grabbercontroller.cpp
-    src/technical/grabber/grabberresolution.cpp
-    src/technical/grabber/imageconverter.cpp
-    src/technical/grabber/imagegrabber.cpp

=== debian/changelog ===
qstopmotion (2.4.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org.

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/: Bump debhelper compat to 11.
  * debian/control:
    - Add new B-D required by new upstream release.
    - Bump Standards-Version to 4.2.0.
  * debian/rules: Enable -Wl,--as-needed.
  * debian/copyright: Bump copyright years.

  [ Adrian Bunk ]
  * Fix the function signature of GphotoGrabber::errorDumper(). (Closes:
    #846499)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Aug 2018 19:07:16 +0200

## qstopmotion 2.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ###############################################################################
 # CMake file for the qStopMotion project                                      #
 # (c) Ralf Lange, longsoft.de                                                 #
-# Last update: 2018-01-27                                                     #
+# Last update: 2018-12-08                                                     #
 #                                                                             #
 # Usage:                                                                      #
 #   * Qt-Creator (Windows, Linux)                                             #
@@ -89,7 +89,7 @@
 SET(QSTOPMOTION_HOMEPAGE "http://www.qstopmotion.org")
 SET(QSTOPMOTION_VERSION_MAJOR "2")
 SET(QSTOPMOTION_VERSION_MINOR "4")
-SET(QSTOPMOTION_VERSION_PATCH "0")
+SET(QSTOPMOTION_VERSION_PATCH "1")
 
 SET(FILES_TO_TRANSLATE )
 
@@ -202,7 +202,7 @@
     src/frontends/qtfrontend/elements/flexiblespinbox.h
     src/frontends/qtfrontend/frameview/frameviewimage.h
     src/frontends/qtfrontend/frameview/frameviewinterface.h
-    src/frontends/qtfrontend/preferences/controlerwidget.h
+    src/frontends/qtfrontend/preferences/controllerwidget.h
     src/frontends/qtfrontend/preferences/exportwidget.h
     src/frontends/qtfrontend/preferences/generaldialog.h
     src/frontends/qtfrontend/preferences/generalwidget.h
@@ -284,7 +284,7 @@
     src/frontends/qtfrontend/elements/flexiblespinbox.cpp
     src/frontends/qtfrontend/frameview/frameviewimage.cpp
     src/frontends/qtfrontend/frameview/frameviewinterface.cpp
-    src/frontends/qtfrontend/preferences/controlerwidget.cpp
+    src/frontends/qtfrontend/preferences/controllerwidget.cpp
     src/frontends/qtfrontend/preferences/exportwidget.cpp
     src/frontends/qtfrontend/preferences/generaldialog.cpp
     src/frontends/qtfrontend/preferences/generalwidget.cpp

=== debian/changelog ===
qstopmotion (2.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Adrian Knoth ]
  * New upstream version 2.4.1

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 25 Dec 2018 11:47:23 +0100

=== debian/control ===
Source: qstopmotion
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Build-Depends: debhelper (>= 11),
 libgphoto2-dev,
 libqwt-qt5-dev,
 libxml2-dev,
 libv4l-dev,
 qtbase5-dev,
 qtmultimedia5-dev,
 cmake
Standards-Version: 4.2.0
Homepage: http://www.qstopmotion.org
Vcs-Git: https://salsa.debian.org/multimedia-team/qstopmotion.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qstopmotion

Package: qstopmotion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ffmpeg,
 v4l-utils
Description: Application for creating stop-motion animation movies
 The users will be able to create stop-motions from pictures imported
 from a camera or from the harddrive and export the animation to
 different video formats such as mpeg or avi.

## qstopmotion 2.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ###############################################################################
 # CMake file for the qStopMotion project                                      #
 # (c) Ralf Lange, longsoft.de                                                 #
-# Last update: 2018-12-08                                                     #
+# Last update: 2021-01-06                                                     #
 #                                                                             #
 # Usage:                                                                      #
 #   * Qt-Creator (Windows, Linux)                                             #
@@ -10,8 +10,8 @@
 #      + press the CMake button                                               #
 #   * makefile: (Windows)                                                     #
 #      + open Visual Studio Command Prompt                                    #
-#        (for 64bit use: 'VS2013 x64 Native Tools Command Prompt'             #
-#        (for 32bit use: 'VS2013 x32 Native Tools Command Prompt'             #
+#        (for 64bit use: 'VS2017 x64 Native Tools Command Prompt'             #
+#        (for 32bit use: 'VS2017 x32 Native Tools Command Prompt'             #
 #      + cmake -G "NMake Makefiles" .                                         #
 #      + nmake                                                                #
 #      + nmake install (with administration rights)                           #
@@ -21,8 +21,8 @@
 #      + make                                                                 #
 #      + sudo make install                                                    #
 #   * MS Visual Studio (Windows)                                              #
-#      + for 32bit: cmake -G "Visual Studio 12 2013"                          #
-#      + for 64bit: cmake -G "Visual Studio 12 2013 x64"                      #
+#      + for 32bit: cmake -G "Visual Studio 12 2017"                          #
+#      + for 64bit: cmake -G "Visual Studio 12 2017 x64"                      #
 #      + open the solution file                                               #
 #                                                                             #
 ###############################################################################
@@ -30,6 +30,8 @@
 project(qStopMotion)
 
 cmake_minimum_required(VERSION 3.0.2)
+
+# option(CMAKE_VERBOSE_MAKEFILE ON)
 
 # set path to additional CMake modules
 SET(
@@ -38,7 +40,7 @@
     ${CMAKE_MODULE_PATH}
 )
 
-message("CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}")
+message("CMAKE_GENERATOR: ${CMAKE_GENERATOR}")
 
 ###############################################################################
 # Platform check
@@ -85,11 +87,13 @@
     )
 ENDIF(NOT DEFINED CMAKE_BUILD_TYPE)
 
+message("CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}")
+
 SET(CMAKE_PROJECT_NAME "qstopmotion")
 SET(QSTOPMOTION_HOMEPAGE "http://www.qstopmotion.org")
 SET(QSTOPMOTION_VERSION_MAJOR "2")
-SET(QSTOPMOTION_VERSION_MINOR "4")
-SET(QSTOPMOTION_VERSION_PATCH "1")
+SET(QSTOPMOTION_VERSION_MINOR "5")
+SET(QSTOPMOTION_VERSION_PATCH "2")
 
 SET(FILES_TO_TRANSLATE )
 
@@ -107,12 +111,6 @@
 message("Qt5 Version: ${Qt5Widgets_VERSION_STRING}")
 message("QT_INCLUDE_DIRS: ${Qt5Widgets_INCLUDE_DIRS}")
 message("QT_DEFINITIONS: ${QT_DEFINITIONS}")
-
-IF(CMAKE_BUILD_TYPE STREQUAL "Release")
-    message("No Qt debug and warning output!")
-    add_definitions(-DQT_NO_DEBUG_OUTPUT)
-    add_definitions(-DQT_NO_WARNING_OUTPUT)
-ENDIF(CMAKE_BUILD_TYPE STREQUAL "Release")
 
 ###############################################################################
 # File definitions
@@ -300,3 +298,6 @@
     src/frontends/qtfrontend/tooltabs/projecttab.cpp
     src/frontends/qtfrontend/tooltabs/recordingtab.cpp
     src/frontends/qtfrontend/tooltabs/viewtab.cpp
+    src/technical/externalchangemonitor.cpp
+    src/technical/preferenceselement.cpp
+    src/technical/preferencestool.cpp

=== debian/changelog ===
qstopmotion (2.5.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113447)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 19:46:04 +0300

qstopmotion (2.5.2-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Update standards version to 4.6.2, no changes needed.

 -- Bastian Germann <bage@debian.org>  Fri, 14 Feb 2025 00:23:21 +0100

qstopmotion (2.5.2-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Adrian Knoth ]
  * New upstream version 2.5.2 (Closes: #935179)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 04 Jan 2021 17:29:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
  libgphoto2-dev,
  libqwt-qt5-dev,
  libxml2-dev,
@@ -11,8 +11,8 @@
  qtbase5-dev,
  qtmultimedia5-dev,
  cmake
-Standards-Version: 4.2.0
-Homepage: http://www.qstopmotion.org
+Standards-Version: 4.6.2
+Homepage: https://www.qstopmotion.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/qstopmotion.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qstopmotion

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# SourceForge hosted projects
https://sf.net/qstopmotion/ qstopmotion-(.*)-Source\.tar\.gz debian uupdate
